%global srcname platformdirs
%global common_description %{expand:
A small Python module for determining appropriate platform-specific dirs, e.g.
a "user data dir".}

Name:           python-%{srcname}
Version:        2.3.0
Release:        1%{?dist}
Summary:        Python module for determining appropriate platform-specific dirs
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        %pypi_source
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros


%description %{common_description}


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel


%description -n python3-%{srcname} %{common_description}


%prep
%autosetup -n %{srcname}-%{version}
rm -rf tests tox.ini


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CHANGES.rst


%changelog
* Mon Aug 30 2021 Carl George <carl@george.computer> - 2.3.0-1
- Latest upstream
- Resolves: rhbz#1999337

* Sun Aug 01 2021 Carl George <carl@george.computer> - 2.2.0-1
- Latest upstream
- Resolves: rhbz#1985567

* Fri Jul 23 2021 Miro Hrončok <mhroncok@redhat.com> - 2.0.0-3
- Let %%pyproject_buildrequires know we need appdirs

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Carl George <carl@george.computer> - 2.0.0-1
- Initial package rhbz#1981607
